# `abacusai.custom_train_function_info`

## Module Contents

### Classes

`CustomTrainFunctionInfo` | Information about how to call the customer provided train function.

class abacusai.custom_train_function_info.CustomTrainFunctionInfo(client, trainingDataParameterNameMapping=None, schemaMappings=None, trainDataParameterToFeatureGroupIds=None, trainingConfig=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Information about how to call the customer provided train function.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - trainingDataParameterNameMapping (dict) – The mapping from feature group type to the dataframe parameter name

    - schemaMappings (dict) – The feature type to feature name mapping for each dataframe

    - trainDataParameterToFeatureGroupIds (dict) – The mapping from the dataframe parameter name to the feature group id backing the data

    - trainingConfig (dict) – The configs for training

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict